org.wildfly.swarm.config.management.security_realm

## Class JaasAuthentication<T extends JaasAuthentication<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.security_realm.JaasAuthentication<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class JaasAuthentication<T extends JaasAuthentication<T>>
      extends HashMap

  Configuration to use a JAAS LoginContext to authenticate the users.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaasAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `assignGroups()` Map the roles loaded by JAAS to groups.
    `T` | `assignGroups(Boolean value)` Map the roles loaded by JAAS to groups.
    `String` | `getKey()`
    `String` | `name()` The name of the JAAS configuration to use.
    `T` | `name(String value)` The name of the JAAS configuration to use.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### JaasAuthentication

          public JaasAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### assignGroups

          public Boolean assignGroups()

      Map the roles loaded by JAAS to groups.

    - #### assignGroups

          public T assignGroups(Boolean value)

      Map the roles loaded by JAAS to groups.

    - #### name

          public String name()

      The name of the JAAS configuration to use.

    - #### name

          public T name(String value)

      The name of the JAAS configuration to use.

Copyright © 2018 JBoss by Red Hat. All rights reserved.